Subject: [netatalk-admins] netatalk-1.4b2+asun2.1.X +AFS +MacOS-8.5.X

From: "Randall S. Winchester" <[email-masked]>
Date: Tue, 2 Feb 1999 12:15:13 -0500 (EST)

1) Does any one have experiance with netatalk-1.4b2+asun2.1.0 on a Solaris
platform in and AFS environment with MacOS-8.5 clients? Is there a
"definitive" authentication (kclient vs others) to use now?

2) Also, an ignorant question, Can the client be shown a single server icon
(like "My home") in the chooser, which actually is pointing to any of 10
machines?

With Appletalk we had to put a netatalk-server up in each lab. With the
TCP/IP support we would like to have a row of netatalk-servers in a machine
room on a high speed network. The clients should only be presented with a
single choice.

Thanks,
Randall

---

From: "Douglas M. MacFarlane" <[email-masked]>
Date: Tue, 2 Feb 1999 12:02:56 -0600 (CST)

> room on a high speed network. The clients should only be presented with a

It won't appear in the Device List with the AppleShare icon
selectec, but if you define an IP Name such as asmaster.umd.edu that
has multiple CNAME or A records, one for each of your ten servers,
clients could enter this IP Name and DNS would round-robin them to
the machines.

The only drawback is that without a hacked DNS, there is no easy way
to keep 1 out of every 10 connections from going to a dead IP
address if one of your 10 servers is down for the count.  the best
you can do is force a TTL of 300 seconds on the records, and if a
server goes down, remove it from the round-robin and re-HUP named.

Doug

Douglas M. MacFarlane
Principal, Vauban Industries
[email-masked]

---

From: "Randall S. Winchester" <[email-masked]>
Date: Tue, 2 Feb 1999 14:36:43 -0500 (EST)

On Tue, 2 Feb 1999, Douglas M. MacFarlane wrote:

: On Tue, 2 Feb 1999, Randall S. Winchester wrote:
: > 2) Also, an ignorant question, Can the client be shown a single server icon
: > (like "My home") in the chooser, which actually is pointing to any of 10
: > machines?
: > 
: > With Appletalk we had to put a netatalk-server up in each lab. With the
: > TCP/IP support we would like to have a row of netatalk-servers in a machine
: > room on a high speed network. The clients should only be presented with a
: > single choice.
: 
: It won't appear in the Device List with the AppleShare icon
: selectec, but if you define an IP Name such as asmaster.umd.edu that
: has multiple CNAME or A records, one for each of your ten servers,
: clients could enter this IP Name and DNS would round-robin them to
: the machines.
: 
: The only drawback is that without a hacked DNS, there is no easy way
: to keep 1 out of every 10 connections from going to a dead IP
: address if one of your 10 servers is down for the count.  the best
: you can do is force a TTL of 300 seconds on the records, and if a
: server goes down, remove it from the round-robin and re-HUP named.

Thanks for the information, Doug.

Yes, we do have code which checks the status of these servers and reloads
its' zone file every 300 seconds.

Randall

---

From: [email-masked]
Date: Tue, 02 Feb 1999 17:29:22 -0500

> From:    "Randall S. Winchester" <[email-masked]>
> To:      [email-masked]

> "definitive" authentication (kclient vs others) to use now?

There's currently no UAM that will work with MacOS 8.5 and ASIP.

:wes

---

From: "Randall S. Winchester" <[email-masked]>
Date: Tue, 2 Feb 1999 17:43:32 -0500 (EST)

On Tue, 2 Feb 1999 [email-masked] wrote:

: > From:    "Randall S. Winchester" <[email-masked]>
: > To:      [email-masked]
: 
: > 1) Does any one have experiance with netatalk-1.4b2+asun2.1.0 on a Solaris
: > platform in and AFS environment with MacOS-8.5 clients? Is there a
: > "definitive" authentication (kclient vs others) to use now?
: 
: There's currently no UAM that will work with MacOS 8.5 and ASIP.

Thank you for letting me know. What are the issues? Is anything being 
worked on to solve this? I have used Kerberos UAM's on MacOS 8.5 to do 
other things (MacAdministrator, MacZephyr).

Randall

---

From: [email-masked]
Date: Tue, 02 Feb 1999 17:54:58 -0500

> To:      [email-masked]

> other things (MacAdministrator, MacZephyr).

Apple changed the API for the UAM.  There is some backward
compatibility, but it doesn't extend to ASIP, and the AuthMan UAM
doesn't happen to work with it either.  We're working on a v2 of the
AuthMan UAM, but it requires server-side changes.

:wes

---

From: "Randall S. Winchester" <[email-masked]>
Date: Wed, 3 Feb 1999 17:55:11 -0500 (EST)

: > From:    "Randall S. Winchester" <[email-masked]>
: > To:      [email-masked]
: 
: > Thank you for letting me know. What are the issues? Is anything being 
: > worked on to solve this? I have used Kerberos UAM's on MacOS 8.5 to do 
: > other things (MacAdministrator, MacZephyr).
: 
: Apple changed the API for the UAM.  There is some backward
: compatibility, but it doesn't extend to ASIP, and the AuthMan UAM
: doesn't happen to work with it either.  We're working on a v2 of the
: AuthMan UAM, but it requires server-side changes.

Is any of this published anywhere? Are the changes documented?

Ohh, and what about the print protocol? Is there any documentation on that
either?

Thanks,
Randall